!set title=Sided order
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
leftrange=-0.900000
rightrange=0.900000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=yes
precision=10000

ansorder=r
varcnt=23
prevarcnt=22
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=<i>f</i>
val7=<b>R</b>
val8=any
tmp0=!randint 1, 5

tmp1=!randitem 1,-1

val9=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 1, 5

tmp1=!randitem 1,-1

val10=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 1, 200

tmp1=!randitem 1,-1

val11=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 1, 50

tmp1=!randitem 1,-1

val12=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 1, 10

tmp1=!randitem 1,-1

val13=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 1, 3

tmp1=!randitem 1,-1

val14=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 1, 4

val15=$[rint($(tmp0))]
tmp0=!item $val15 of $val14,-($val14)*($val9),($val14)*($val9)^2,0

val16=$[rint($(tmp0))]
tmp0=!item $val15 of 0,$val14,-2*($val14)*($val9),0

val17=$[rint($(tmp0))]
tmp0=!item $val15 of 0,0,$val14,0

val18=$[rint($(tmp0))]
val19=$[rint(-($val9)^3*($val10)+($val11)-($val16))]
val20=$[rint(3*($val9)^2*($val10)+($val12)-($val17))]
val21=$[rint(-3*($val9)*($val10)+($val13)-($val18))]
tmp0=!htmlmath $val10*x^3 + $val21*x^2 + $val20*x + $val19

val22=$(tmp0)
tmp0=!htmlmath $val13*x^2 + $val12*x + $val11

val23=$(tmp0)
tmp0=!randitem 1,2

val24=$[rint($(tmp0))]
tmp0=!item $val24 of $val22,$val23

val25=$(tmp0)
tmp0=!item $val24 of $val23,$val22

val26=$(tmp0)
val27=$[rint($val15-2)]
replyname1=Order of differentiability
replygood1=$val27
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Let $val6: $val7 -> $val7 be the function defined by	<p><center><table border=0>	<tr><td nowrap rowspan=2>	$val6(x) =	<td nowrap rowspan=2><img src=$val1/leftbrace2.gif>	<td nowrap>$val25 <td rowspan=2>&nbsp;&nbsp;&nbsp;&nbsp;	<td nowrap>si x &lt; $val9 ;	<tr><td nowrap>$val26	<td nowrap>si x <img src=$val1/ge.gif> $val9 .	</table></center> <p>	What is the order of differentiability of $val6&nbsp;?	<p>	<b>Instructions/Examples.</b><ul>	<li>Type <tt>3</tt> if $val6 is differentiable to order 3 but not to order 4.	<li>Type <tt>0</tt> if $val6 is continuous but not differentiable.	<li>Type <tt>-1</tt> if $val6 is not continuous.	<li>Type <tt>$val8</tt> if $val6 is differentiable to any order.	</ul>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=1,6,7,8,9,25,26
embedcnt=0
